---
import "@assets/scss/main.scss";

import { HeaderContainer } from "ubports-astro-components";
import { FooterContainer } from "ubports-astro-components";

import HeaderData from "ubports-astro-components/data/header.json";
import FooterData from "ubports-astro-components/data/footer.json";

import lomiriLogoDarkImg from "ubports-astro-components/img/lomiri-logo-dark.svg";
import lomiriLogoLightImg from "ubports-astro-components/img/lomiri-logo-light.svg";

const { pageMeta } = Astro.props;

const LomiriFooterData = [].concat(
  [
    {
      group: "Lomiri",
      links: [
        {
          label: "Telegram",
          attrs: {
            href: "https://t.me/UBports_Lomiri",
            target: "_blank"
          }
        },
        {
          label: "Source code",
          attrs: {
            href: "https://gitlab.com/ubports/development/core/lomiri",
            target: "_blank"
          }
        },
        {
          label: "Submit an issue",
          attrs: {
            href: "https://gitlab.com/ubports/development/core/lomiri/-/issues",
            target: "_blank"
          }
        }
      ]
    }
  ],
  FooterData
);
---

<!doctype html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width" />
    <title>{pageMeta.title}</title>
    {pageMeta.meta && pageMeta.meta.map((metaObj) => <meta {...metaObj} />)}
    <link rel="icon" href="/favicon.svg" type="image/svg+xml" sizes="any" />
    <link rel="icon" type="image/x-icon" href="/favicon.ico" />
  </head>
  <body>
    <HeaderContainer
      lightImg={lomiriLogoLightImg}
      darkImg={lomiriLogoDarkImg}
      links={HeaderData}
    />

    <slot />

    <FooterContainer links={LomiriFooterData} />
    <script>
      import("@logic/client/main.js").then((f) => f.default());
    </script>
  </body>
</html>
